
Core - Task # 60801

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: Rejected Priority: Should have
Author: Ben N Category: Content Rendering
Created: 2014-08-05 Assigned To:
Updated: 2015-07-16 Due date: 2014-08-08
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: no-brainer
Sprint Focus:
Subject: Remove "tt_content >" from SYSEXT: css_styled_content
Description

It would be preferable to not have that rude approach in a system extension (please enlighten me if this is definetely necessary). I'd
like to pre-set some config-options in the tt_content namespace before the EXT is loaded.
The part

#**********************************
# tt_content is started
#**********************************
tt_content >

in setup.txt obviously intereres with that.

History
#1 - 2014-09-24 12:25 - Felix Kopp
- Parent task set to #61842

#2 - 2014-09-27 00:12 - Frank Nägler

I am not sure, but I think to ensure that nothing was set before, also for a stable system, it is not wrong to clean tt_content at this position.

#3 - 2014-12-23 19:55 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.2 (Frontend)

#4 - 2015-06-15 17:08 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)

#5 - 2015-07-16 01:50 - Benjamin Mack
- Status changed from New to Rejected

This is necessary. It is not about being rude, but about have a clean and proper way of making sure that CSS styled content behaves exactly as it
should be - without side effects, and not allowing integrators mess around with it. Ideally, if you need CSS Styled Content (or parts of it), you should
copy these parts into your own extension.
If you have any further questions on the topic, feel free to contact me.
